The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> wcsrchr - wide-character string scanning operation

#### SYNOPSIS

> ``#include <wchar.h>
> wchar_t *wcsrchr(const wchar_t *`ws`, wchar_t` wc`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The wcsrchr() function shall locate the last occurrence of wc in the wide-character string pointed to by ws. The application shall ensure that the value of wc is a character representable as a type wchar_t and a wide-character code corresponding to a valid character in the current locale. The terminating null wide-character code shall be considered to be part of the wide-character string.

#### RETURN VALUE

> Upon successful completion, wcsrchr() shall return a pointer to the wide-character code or a null pointer if wc does not occur in the wide-character string.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> wcschr

> XBD <wchar.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the MSE working draft.

#### Issue 6

> The normative text is updated to avoid use of the term "must" for application requirements.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]